format long; format compact;
rand('seed',sum(100*clock));

npop = 50;                          % Populaation koko
nbits = 20;                         % Kromosomien määrä 
initpop = rand(npop, nbits) > 0.5;  % Alustetaan populaatio
crossProb = 0.8;                    % Risteytymisen todennäköisyys
mutProb = 0.01;                     % Mutaation todennäköisyys
genNr = 10;                         % Sukupolvien lkm

% Simuloidaan geneettistä algoritmia
[endpop endvalues stats] = gaSim('gaFun', initpop, crossProb, mutProb, genNr);

% Tulostetaan paras arvo, keskimääräinen arvo ja keskihajonta
clf reset; subplot(2,1,1);
ind = 1:length(stats(:,1));
plot(ind,stats(:,1),'-',ind,stats(:,2),'-.');
title('Paras arvo ja keskiarvo'); xlabel('Iteraatio');
lt=['- ';'-.']; nm=['Paras arvo'; 'Keskiarvo ']; legend(lt,nm)
% print statistics -deps    % Paperitulostus
